[Deprecated]: V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/{mode}/forms
Deprecated: Use latest version instead. Retrieves a list of forms in a study.
Request
Path Parameters
-
mode(required): string
Study mode to filter study forms.Example:
test -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormSummaryDto v1.0
Title:
FormSummaryDto v1.0Reduced form properties
Nested Schema : FormSummaryDto v1.0
Type:
objectTitle:
FormSummaryDto v1.0Reduced form properties
Show Source
-
id: string
(uuid)
Form Unique GUID
-
items: array
items
-
refname: string
Form refnameExample:
FORM_01 -
title: string
Form titleExample:
Demography
Nested Schema : items
Type:
Show Source
array-
Array of:
object FormItemSummaryDto v1.0
Title:
FormItemSummaryDto v1.0Reduced form item properties
Nested Schema : FormItemSummaryDto v1.0
Type:
objectTitle:
FormItemSummaryDto v1.0Reduced form item properties
Show Source
-
id: string
(uuid)
Form Item Unique GUID
-
questionLabel: string
Form question labelExample:
Age -
questionType: string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question typeExample:numeric -
refname: string
Form item reference name.Example:
NUMBER_01 -
subItemIds: string
(uuid)
Title:
Sub item idsList of sub question ids
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object